<?php
namespace BrandCo\Plugins\KWCommand;

class Cookie {

	public static function get() {
		return ( !empty($_COOKIE['wp_kwcmd_uid']) ) ? $_COOKIE['wp_kwcmd_uid'] : false;
	}

	public static function get_or_set() {

		$cookie = ( !empty($_COOKIE['wp_kwcmd_uid']) ) ? $_COOKIE['wp_kwcmd_uid'] : false;

		if ( $cookie ) {
			return $cookie;
		}

		$cookie_domain = Util::get_cookie_domain();

		$visitor = Visitor::create();
		setcookie('wp_kwcmd_uid', $visitor, 2147483647, '/', $cookie_domain);

		Activity::save($visitor, 'PageView', json_encode(array(
			'url' => Util::current_page_url(),
		)));
		return $visitor;
	}
}
